import o from "clsx";
import { jsx as l, jsxs as y, Fragment as A } from "react/jsx-runtime";
import T, { useContext as p } from "react";
/*!
  @versini/ui-table v3.0.4
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "3.0.4",
    buildTime: "01/04/2025 04:09 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const _ = "thead", C = "tfoot", u = "tbody", f = {
  ASC: "asc",
  DESC: "desc"
}, W = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: s
}) => ({
  wrapper: o(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !r && !s,
      "overflow-y-scroll": r || s,
      "bg-surface-darker": e === "dark" || e === "system",
      "bg-surface-light": e === "light" || e === "alt-system",
      "dark:bg-surface-light": e === "system",
      "dark:bg-surface-darker": e === "alt-system",
      "text-copy-light": e === "dark",
      "text-copy-dark": e === "light",
      "text-copy-light dark:text-copy-dark": e === "system",
      "text-copy-dark dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: o("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: o("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), D = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => o(
  {
    "sticky top-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
  },
  e
), F = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => o(
  {
    "sticky bottom-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
  },
  e
), G = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === _ || t === C ? o(
  {
    "bg-table-head-dark": e === "dark" || e === "system",
    "bg-table-head-light": e === "light" || e === "alt-system",
    "dark:bg-table-head-light": e === "system",
    "dark:bg-table-head-dark": e === "alt-system"
  },
  a
) : o(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark" || e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === u && e === "dark",
    "border-table-light": e === "light" || e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even": t === u && e === "light",
    "dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === u && e === "system",
    "dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === u && e === "alt-system"
  },
  a
), Y = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r,
  align: s
}) => ({
  alignClasses: o({
    "flex justify-start text-left": s === "left",
    "flex justify-center text-center": s === "center",
    "flex justify-end text-right": s === "right"
  }),
  mainClasses: o(
    {
      "text-copy-light": r === "dark" || r === "system",
      "text-copy-dark": r === "light" || r === "alt-system",
      "dark:text-copy-dark": r === "system",
      "dark:text-copy-light": r === "alt-system",
      "px-4 py-3": !t && (e === _ || e === C),
      "p-4": !t && e === u,
      "px-2 py-1.5": t
    },
    a
  )
}), q = ({
  buttonClassName: e
}) => o("rounded-none text-sm", e), I = "av-button", B = "icon", S = "button", N = "link", H = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: s
}) => {
  const i = "max-h-8 py-0 px-2", d = "max-h-9 py-1 px-3", c = "max-h-12 py-2 px-4";
  switch (e) {
    case S:
    case N:
      return o({
        [i]: a === "small",
        [d]: a === "medium",
        [c]: a === "large"
      });
    case B:
      return o("inline-flex items-center", {
        "justify-center": s === "center",
        "justify-start": s === "left",
        "justify-end": s === "right",
        "h-6 w-6 p-0": a === "small" && !(t || r),
        "h-6 px-2": a === "small" && (t || r),
        "h-8 w-8 p-1": a === "medium" && !(t || r),
        "h-8 px-3": a === "medium" && (t || r),
        "h-12 w-12 p-2": a === "large" && !(t || r),
        "h-12 px-4": a === "large" && (t || r)
      });
  }
}, J = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r
}) => {
  const s = "text-sm font-medium", i = "text-base font-medium", d = "text-lg font-medium";
  switch (e) {
    case S:
    case N:
      return o({
        "text-center": e === N,
        [s]: a === "small",
        [i]: a === "medium",
        [d]: a === "large"
      });
    case B:
      return o({
        [s]: a === "small" && (t || r),
        [i]: a === "medium" && (t || r),
        [d]: a === "large" && (t || r)
      });
  }
}, K = ({
  mode: e,
  noBackground: a,
  noTruncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose";
  if (r === "primary")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "light" || e === "system",
      "text-copy-lighter": e === "dark" || e === "alt-system",
      "dark:text-copy-lighter": e === "alt-system",
      "dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "selected")
    return o("not-prose text-copy-lighter", {
      truncate: !t
    });
}, Q = ({
  mode: e,
  noBackground: a,
  variant: t
}) => {
  if (!a) {
    if (t === "primary")
      return o({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (t === "secondary")
      return o({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (t === "danger")
      return o({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (t === "selected")
      return "bg-action-selected-dark";
  }
}, X = ({
  radius: e
}) => o({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), Z = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, $ = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return o("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, ee = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return o("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return o("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return o("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return "border border-border-selected-dark";
}, te = ({
  focusMode: e
}) => o("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), ae = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: s,
  disabled: i,
  fullWidth: d,
  size: c,
  noBorder: n,
  labelRight: g,
  labelLeft: b,
  noBackground: m,
  variant: h,
  noTruncate: v,
  align: x,
  radius: w
}) => (h || (h = "primary"), t ? o(I, a) : o(
  I,
  K({
    mode: r,
    variant: h,
    noBackground: m,
    noTruncate: v
  }),
  Q({ mode: r, noBackground: m, variant: h }),
  X({ radius: w }),
  H({
    type: e,
    size: c,
    labelRight: g,
    labelLeft: b,
    align: x
  }),
  J({ type: e, size: c, labelRight: g, labelLeft: b }),
  ee({ mode: r, variant: h, noBorder: n }),
  te({ focusMode: s }),
  Z({ mode: r, variant: h, disabled: i }),
  $({ mode: r, variant: h, disabled: i }),
  {
    "w-full": d,
    "disabled:cursor-not-allowed disabled:opacity-50": i
  },
  a
)), re = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, E = T.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...s } = e;
  return /* @__PURE__ */ l(
    "button",
    {
      ref: a,
      onClick: (i) => {
        re(i, r, t);
      },
      ...s
    }
  );
});
E.displayName = "BaseButton";
/*!
  @versini/ui-button v4.0.3
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "4.0.3",
    buildTime: "01/04/2025 04:09 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const R = T.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: s = !1,
    className: i,
    type: d = "button",
    raw: c = !1,
    noBorder: n = !1,
    "aria-label": g,
    label: b,
    size: m = "medium",
    labelRight: h,
    labelLeft: v,
    noBackground: x = !1,
    align: w = "center",
    active: L = !1,
    radius: M = "large",
    ...V
  }, U) => {
    const O = ae({
      type: B,
      mode: t,
      focusMode: r,
      fullWidth: s,
      disabled: a,
      raw: c,
      className: i,
      noBorder: n,
      size: m,
      labelRight: h,
      labelLeft: v,
      noBackground: x,
      align: w,
      radius: M
    }), P = o({
      "text-copy-accent-dark": t === "light" && !c,
      "text-copy-light": t === "dark" && !c,
      "text-copy-accent-dark dark:text-copy-light": t === "alt-system" && !c,
      "text-copy-light dark:text-copy-accent-dark": t === "system" && !c
    }), j = L ? o(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": t === "dark",
        "after:border-table-light": t === "light",
        "after:border-table-dark dark:after:border-table-light": t === "system",
        "after:border-table-light dark:after:border-table-dark": t === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ l("div", { className: j, children: /* @__PURE__ */ y(
      E,
      {
        ref: U,
        className: O,
        disabled: a,
        type: d,
        "aria-label": g || b,
        ...V,
        children: [
          v && /* @__PURE__ */ l("span", { className: "pr-2", children: v }),
          /* @__PURE__ */ l("div", { className: P, children: e }),
          h && /* @__PURE__ */ l("span", { className: "pl-2", children: h })
        ]
      }
    ) });
  }
);
R.displayName = "ButtonSort";
const z = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: s,
  size: i,
  title: d,
  semantic: c = !1,
  ...n
}) => {
  const g = o(i, r);
  return /* @__PURE__ */ y(A, { children: [
    /* @__PURE__ */ l(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: g,
        viewBox: t || s,
        fill: a || "currentColor",
        role: "img",
        "aria-hidden": !c,
        focusable: !1,
        ...n,
        children: e
      }
    ),
    d && c && /* @__PURE__ */ l("span", { className: "sr-only", children: d })
  ] });
};
/*!
  @versini/ui-svgicon v4.0.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "4.0.0",
    buildTime: "01/04/2025 04:09 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const se = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ y(
  z,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort",
    ...s,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          className: "fa-secondary",
          opacity: r ? "1" : "0.4",
          d: "M297.4 137.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L384 141.3 384 448c0 17.7 14.3 32 32 32s32-14.3 32-32l0-306.7 41.4 41.4c12.5 12.5 32.8 12.5 45.3 0c6.2-6.2 9.4-14.4 9.4-22.6s-3.1-16.4-9.4-22.6l-96-96C432.4 35.1 424.2 32 416 32s-16.4 3.1-22.6 9.4l-96 96z"
        }
      ),
      /* @__PURE__ */ l(
        "path",
        {
          className: "fa-primary",
          d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7 192 64c0-17.7-14.3-32-32-32s-32 14.3-32 32l0 306.7L86.6 329.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z"
        }
      )
    ]
  }
), oe = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ y(
  z,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Down",
    ...s,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          className: "fa-secondary",
          opacity: r ? "1" : "0.4",
          d: "M288 64c0-17.7 14.3-32 32-32l224 0c17.7 0 32 14.3 32 32s-14.3 32-32 32L320 96c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32l160 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-160 0c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32l96 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-96 0c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32l32 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-32 0c-17.7 0-32-14.3-32-32z"
        }
      ),
      /* @__PURE__ */ l(
        "path",
        {
          className: "fa-primary",
          d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7 160 64c0-17.7-14.3-32-32-32s-32 14.3-32 32l0 301.7L63.6 330.4c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96C110.5 476.2 119 480 128 480z"
        }
      )
    ]
  }
), le = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ y(
  z,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Up",
    ...s,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          className: "fa-secondary",
          opacity: r ? "1" : "0.4",
          d: "M288 64c0-17.7 14.3-32 32-32l32 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-32 0c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32l96 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-96 0c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32l160 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-160 0c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32l224 0c17.7 0 32 14.3 32 32s-14.3 32-32 32l-224 0c-17.7 0-32-14.3-32-32z"
        }
      ),
      /* @__PURE__ */ l(
        "path",
        {
          className: "fa-primary",
          d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3 160 448c0 17.7-14.3 32-32 32s-32-14.3-32-32l0-301.7L63.6 181.6c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32z"
        }
      )
    ]
  }
);
/*!
  @versini/ui-icons v4.2.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "4.2.0",
    buildTime: "01/04/2025 04:09 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const k = T.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), ge = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: s,
  className: i,
  wrapperClassName: d,
  maxHeight: c,
  stickyHeader: n,
  stickyFooter: g,
  ...b
}) => {
  const m = W({
    mode: a,
    className: i,
    wrapperClassName: d,
    stickyHeader: n,
    stickyFooter: g
  });
  return /* @__PURE__ */ l(
    k.Provider,
    {
      value: { mode: a, stickyHeader: n, stickyFooter: g, compact: r },
      children: /* @__PURE__ */ l(
        "div",
        {
          className: m.wrapper,
          ...c && {
            style: { maxHeight: c }
          },
          children: /* @__PURE__ */ y("table", { className: m.table, summary: s, ...b, children: [
            t && /* @__PURE__ */ l("caption", { className: m.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, he = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = p(k);
  r.cellWrapper = _;
  const s = D({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ l("thead", { className: s, ...t, children: e });
}, be = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = p(k);
  r.cellWrapper = C;
  const s = F({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ l("tfoot", { className: s, ...t, children: e });
}, me = ({ children: e, ...a }) => {
  const t = p(k);
  return t.cellWrapper = u, /* @__PURE__ */ l("tbody", { ...a, children: e });
}, ue = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = p(k), s = G({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ l("tr", { className: s, ...t, children: e });
}, ie = ({
  children: e,
  component: a,
  className: t,
  align: r,
  ...s
}) => {
  const i = p(k), d = a || (i.cellWrapper === _ ? "th" : "td"), { mainClasses: c, alignClasses: n } = Y({
    cellWrapper: i.cellWrapper,
    className: t,
    mode: i.mode,
    compact: i.compact,
    align: r
  });
  return r ? /* @__PURE__ */ l(d, { className: c, ...s, children: /* @__PURE__ */ l("div", { className: n, children: e }) }) : /* @__PURE__ */ l(d, { className: c, ...s, children: e });
}, ye = ({
  align: e,
  children: a,
  buttonClassName: t,
  className: r,
  component: s,
  focusMode: i = "alt-system",
  mode: d = "alt-system",
  onClick: c,
  sortDirection: n,
  sortedCell: g,
  cellId: b,
  ...m
}) => {
  const h = q({ buttonClassName: t });
  return /* @__PURE__ */ l(
    ie,
    {
      component: s,
      className: r,
      role: "columnheader",
      "aria-sort": n === f.ASC && g === b ? "ascending" : n === f.DESC && g === b ? "descending" : "other",
      ...m,
      children: /* @__PURE__ */ l(
        R,
        {
          active: g === b,
          className: h,
          onClick: c,
          align: e,
          noBorder: !0,
          focusMode: i,
          mode: d,
          fullWidth: !0,
          labelRight: a,
          children: n === f.ASC && g === b ? /* @__PURE__ */ l(le, { className: "size-4", monotone: !0 }) : n === f.DESC && g === b ? /* @__PURE__ */ l(oe, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ l(se, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  ge as Table,
  me as TableBody,
  ie as TableCell,
  ye as TableCellSort,
  f as TableCellSortDirections,
  be as TableFooter,
  he as TableHead,
  ue as TableRow
};
